Bug 857742 - bugzilla.updateAttachMIME returns errors
bugzilla.updateAttachMIME returns errors
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-16 13:35 EDT by Matěj Cepl
Modified: 2014-10-12 18:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.2.4-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 22:53:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2012-09-16 13:35:05 EDT
see this communication (out means sending to Bugzilla, in is Bugzilla's reply):

info: bugzilla-triage: makeJSONRPCCall(bugzilla.updateAttachMimeType): out = {"version":"1.1","method":"bugzilla.updateAttachMimeType","params":{"id":"606855","attach_id":"574694","mime_type":"text/plain","nomail":1}}
info: bugzilla-triage: bugId = 606855, id = 574909
info: bugzilla-triage: makeJSONRPCCall(bugzilla.updateAttachMimeType): out = {"version":"1.1","method":"bugzilla.updateAttachMimeType","params":{"id":"606855","attach_id":"574909","mime_type":"text/plain","nomail":1}}
info: bugzilla-triage: makeJSONRPCCall (bugzilla.updateAttachMimeType): in = {"version":"1.1","error":{"name":"JSONRPCError","message":"DBD::mysql::db do failed: Deadlock found when trying to get lock; try restarting transaction [for Statement \"UPDATE bugs SET delta_ts = ? WHERE bug_id = ?\"] at Bugzilla/Attachment.pm line 935\n\tBugzilla::Attachment::update('Bugzilla::Attachment=HASH(0x167b2b90)', '2012-09-16 13:27:02') called at /loader/0x155e21d0/Bugzilla/Extension/RedHat/WebService/CompatBugzilla.pm line 3243\n\tBugzilla::Extension::RedHat::WebService::CompatBugzilla::updateAttachMimeType('Bugzilla::WebService::Server::JSONRPC::Bugzilla::Extension::R...', 'HASH(0x16014920)') called at (eval 460) line 1\n\teval ' $procedure->{code}->($self, $params) \n;' called at /usr/lib/perl5/vendor_perl/5.8.8/JSON/RPC/Server.pm line 208\n\tJSON::RPC::Server::_handle('Bugzilla::WebService::Server::JSONRPC::Bugzilla::Extension::R...', 'HASH(0x160148f0)') called at Bugzilla/WebService/Server/JSONRPC.pm line 269\n\tBugzilla::WebService::Server::JSONRPC::_handle('Bugzilla::WebService::Server::JSONRPC::Bugzilla::Extension::R...', 'HASH(0x160148f0)') called at /usr/lib/perl5/vendor_perl/5.8.8/JSON/RPC/Server.pm line 126\n\tJSON::RPC::Server::handle('Bugzilla::WebService::Server::JSONRPC::Bugzilla::Extension::R...') called at /var/www/html/bugzilla/jsonrpc.cgi line 41\n","code":100500}}
info: bugzilla-triage: makeJSONRPCCall (bugzilla.updateAttachMimeType): in = {"version":"1.1","error":{"name":"JSONRPCError","message":"Can't locate object method \"id\" via package \"mcepl@redhat.com\" (perhaps you forgot to load \"mcepl@redhat.com\"?) at Bugzilla/User.pm line 1953.\n","code":100500}}

Actually one attachment (id 574909) got fixed, the other one (id 574694) not.

RH Bugzilla as of 2012-09-16
Comment 1 Simon Green 2012-09-18 01:39:54 EDT
Did the error go away when you tried it again?

  -- simon
Comment 2 Matěj Cepl 2012-09-18 11:10:00 EDT
The big one with Perl traceback happens sometimes, but

info: bugzilla-triage: makeJSONRPCCall (bugzilla.updateAttachMimeType): in = {"version":"1.1","error":{"name":"JSONRPCError","message":"Can't locate object method \"id\" via package \"mcepl@redhat.com\" (perhaps you forgot to load \"mcepl@redhat.com\"?) at Bugzilla/User.pm line 1953.\n","code":100500}}

is persistent.
Comment 5 Simon Green 2012-09-19 00:05:32 EDT
This will be fixed in the next release. An intermediate work around is to use the RedHat.updateAttachMimeType RPC call (takes the same args and isn't affected by this bug)

  -- simon
Comment 6 Matěj Cepl 2012-09-19 02:18:48 EDT
Thanks, RedHat.updateAttachMimeType works fine.

Note You need to log in before you can comment on or make changes to this bug.